Đến nội dung


Hình ảnh
- - - - -

tính độ dốc bàng cách pích 2 điểm


  • Please log in to reply
9 replies to this topic

#1 zizpo_hetxang

zizpo_hetxang

    biết vẽ arc

  • Members
  • PipPip
  • 45 Bài viết
Điểm đánh giá: 2 (bình thường)

Đã gửi 20 June 2010 - 09:59 PM

Nhờ các bác viết hộ giùm cái lip pích vào điểm đầu và điểm cuối thì cho ra được độ đôc(chênh cao / chiều dài). xin chân thành cảm ơn
  • 0

#2 pdle

pdle

    biết lệnh mtext

  • Members
  • PipPipPipPip
  • 286 Bài viết
Điểm đánh giá: 124 (tàm tạm)

Đã gửi 21 June 2010 - 02:10 AM

Nhờ các bác viết hộ giùm cái lip pích vào điểm đầu và điểm cuối thì cho ra được độ đôc(chênh cao / chiều dài). xin chân thành cảm ơn

Không biết lisp sau có đúng yêu cầu của anh không nữa :s_big:.


(defun c:dodoc
(setq P1 (getpoint "\n Specify start point :")
P2 (getpoint "\n Specify end point :")
)
(setq
X1 (car P1)
Y1 (cadr P1)
Z1 (cadr (cdr P1))
X2 (car P2)
Y2 (cadr P2)
Z2 (cadr (cdr P2))
dis (distance P1 P2 )
tag (/ (- Y1 Y2) dis)
)
(princ "\n Do doc cua doan thang :")
(princ tag)
(princ)
)


Em không biết làm cách nào để add được file lisp lên đây dưới dạng như mấy anh pro vẫn làm :cheers:
  • 0
Share your knowledge. It is a way to achieve immortality !

***

PS: Nếu bài viết của mình có ích, xin hãy "Bình chọn cho bài viết này" nhé :D

#3 duy782006

duy782006

    PHẠM QUỐC DUY

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 2155 Bài viết
Điểm đánh giá: 1360 (rất tốt)

Đã gửi 21 June 2010 - 11:06 AM

Không biết lisp sau có đúng yêu cầu của anh không nữa :s_big:.
(defun c:dodoc
(setq P1 (getpoint "\n Specify start point :")
P2 (getpoint "\n Specify end point :")
)
(setq
X1 (car P1)
Y1 (cadr P1)
Z1 (cadr (cdr P1))
X2 (car P2)
Y2 (cadr P2)
Z2 (cadr (cdr P2))
dis (distance P1 P2 )
tag (/ (- Y1 Y2) dis)
)
(princ "\n Do doc cua doan thang :")
(princ tag)
(princ)
)


Em không biết làm cách nào để add được file lisp lên đây dưới dạng như mấy anh pro vẫn làm :cheers:

-Cái dòng lấy giá trị z của điểm không cần thiết thì phải?
Bạn dùng cú pháp Z1 (cadr (cdr P1))
Theo mình dùng Z1 (caddr P1) thì gọn hơn.
-Chiều dài chiếu bằng chia chiều dài chiếu đứng chứ không phải chiều dài giữa 2 điểm.
  • 0

Cứ ngỡ trần gian là cõi thật.Cho nên tất bật đến bây giờ.
Tạo hộp thoại bằng lisp My blog QUY ĐỊNH ĐẶT TÊN TOPIC TRONG CHUYÊN MỤC LISPD http://ktsduy.wordpress.com/
Để cám ơn chỉ cần nhấn rep_up.png
(Là nhấn vào nút đó phía bài viết của người ta í chứ đừng có nhè cái hình này mà nhấn miết đi nha :-D


#4 zizpo_hetxang

zizpo_hetxang

    biết vẽ arc

  • Members
  • PipPip
  • 45 Bài viết
Điểm đánh giá: 2 (bình thường)

Đã gửi 29 June 2010 - 03:37 PM

Bác nào sửa giùm cái lip này với minh xài không được. sửa lại giúp em với
  • 0

#5 18011985

18011985

    biết lệnh properties

  • Members
  • PipPipPipPip
  • 255 Bài viết
Điểm đánh giá: 61 (tàm tạm)

Đã gửi 29 June 2010 - 08:13 PM

Bác nào sửa giùm cái lip này với minh xài không được. sửa lại giúp em với

Lâu rồi không có internet lên mạng, thấy có thể giúp bạn lsp ngắn này nhưng không biết bạn dùng cho loại mặt cắt nào.
Nếu là mặt bằng thì bạn tham khảo bài này mình giúp 1 bạn, còn mặt cắt dọc hoặc ngang thì để dần dần mình viết.
http://www.cadviet.c...showtopic=19891
  • 0
Trăng 16 trăng tròn
Em 16 bụng ... như trăng

Hướng dẫn sử dụng diễn đàn:
Để cảm ơn hay bài viết có ích: Ấn dấu + cuối bài.
Không vừa lòng hay bài spam: Ấn dấu - cuối bài.

#6 18011985

18011985

    biết lệnh properties

  • Members
  • PipPipPipPip
  • 255 Bài viết
Điểm đánh giá: 61 (tàm tạm)

Đã gửi 29 June 2010 - 08:36 PM

Còn đây là phần mình viết xong, chúc bạn sức khoẻ!
(defun c:ddc (/ PT1 PT2 X1 Y1 X2 Y2 L1 H1 i)
(setvar "cmdecho" 0)
(setq PT1 (getpoint "\n Vi tri diem dau: "))
(setq PT2 (getpoint "\n Vi tri diem cuoi: "))
(setq X1 (car PT1) Y1 (cadr PT1))
(setq X2 (car PT2) Y2 (cadr PT2))
(setq L1 (abs (- X1 X2)))
(setq H1 (abs (- Y1 Y2)))
(setq i (rtos (* (/ H1 L1) 100) 2 2 ))
(alert (strcat "\n i=" i "%"))
(princ)
)

  • 3
Trăng 16 trăng tròn
Em 16 bụng ... như trăng

Hướng dẫn sử dụng diễn đàn:
Để cảm ơn hay bài viết có ích: Ấn dấu + cuối bài.
Không vừa lòng hay bài spam: Ấn dấu - cuối bài.

#7 zizpo_hetxang

zizpo_hetxang

    biết vẽ arc

  • Members
  • PipPip
  • 45 Bài viết
Điểm đánh giá: 2 (bình thường)

Đã gửi 29 June 2010 - 11:16 PM

đúng cái mình đang cần luôn. cảm ơn rất là nhiều
  • 0

#8 trioby1

trioby1

    biết pan

  • Members
  • Pip
  • 8 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 14 October 2010 - 10:15 PM

Bác ui, thế nếu muốn cho nó xuất ra kết quả là hệ số mái m thì phải làm sao vậy.
  • 0

#9 ldky2k

ldky2k

    biết vẽ line

  • Members
  • PipPip
  • 23 Bài viết
Điểm đánh giá: 2 (bình thường)

Đã gửi 16 October 2010 - 10:19 PM

Còn đây là phần mình viết xong, chúc bạn sức khoẻ!

(defun c:ddc (/ PT1 PT2 X1 Y1 X2 Y2 L1 H1 i)
(setvar "cmdecho" 0)
(setq PT1 (getpoint "\n Vi tri diem dau: "))
(setq PT2 (getpoint "\n Vi tri diem cuoi: "))
(setq X1 (car PT1) Y1 (cadr PT1))
(setq X2 (car PT2) Y2 (cadr PT2))
(setq L1 (abs (- X1 X2)))
(setq H1 (abs (- Y1 Y2)))
(setq i (rtos (* (/ H1 L1) 100) 2 2 ))
(alert (strcat "\n i=" i "%"))
(princ)
)


Chào bạn
Mình có ý kiến thêm về lisp của bạn, nếu nhỏ hơn 1% (vd : 0.01 %) thi lisp của bạn không thể hiện được (theo mình bạn bổ sung thêm phần hỏi bao nhiêu số sau dấu phẩy), nếu thể hiện được thì lisp bạn hoàn thiện hơn. Cám ơn.
  • 0

#10 18011985

18011985

    biết lệnh properties

  • Members
  • PipPipPipPip
  • 255 Bài viết
Điểm đánh giá: 61 (tàm tạm)

Đã gửi 18 October 2010 - 07:55 AM

Chào bạn
Mình có ý kiến thêm về lisp của bạn, nếu nhỏ hơn 1% (vd : 0.01 %) thi lisp của bạn không thể hiện được (theo mình bạn bổ sung thêm phần hỏi bao nhiêu số sau dấu phẩy), nếu thể hiện được thì lisp bạn hoàn thiện hơn. Cám ơn.

Cảm ơn ý kiến của bạn, từ khi mình làm đến giờ chưa bao giờ thiết kế độ dốc i<0.01% bao giờ, đến cống tiêu nước độ dốc cũng là i=0,0005 tức là i=0,05%. Còn nếu bạn muốn thêm phần đấy vào thì bạn thêm dòng
(setq thapphan (getint "\n Nhap so thap phan: "))
và thay dòng (setq i (rtos (* (/ H1 L1) 100) 2 2 )) bằng dòng (setq i (rtos (* (/ H1 L1) 100) 2 thapphan ))
  • 1
Trăng 16 trăng tròn
Em 16 bụng ... như trăng

Hướng dẫn sử dụng diễn đàn:
Để cảm ơn hay bài viết có ích: Ấn dấu + cuối bài.
Không vừa lòng hay bài spam: Ấn dấu - cuối bài.